import urequests
import ujson
import network
import time

# Initialize Wi-Fi Interface
wlan = network.WLAN(network.STA_IF)
wlan.active(True)

wlan.disconnect()

# wifi creds
ssid = '<YOUR-SSID>'
password = '<YOUR-PASSWORD>'

print(wlan.isconnected())
time.sleep(0.5)

# Connect to the Wi-Fi network
wlan.connect(ssid, password)

print('Connected to Wi-Fi')

brevo_api_key = '<YOUR-API-KEY-HERE>'

url = 'https://api.brevo.com/v3/smtp/email'

headers = {
    'accept': 'application/json',
    'api-key': brevo_api_key,
    'content-type': 'application/json',
}

data = {
    "sender": {
        "name": "ESP32 CLIENT",
        "email": "<YOUR-EMAIL-ID>"
    },
    "to": [
        {
            "email": "<RECEIVER-EMAIL-ID>",
            "name": "<RECEIVER NAME>"
        }
    ],
    "subject": "Hello world from Esp32",
    "htmlContent": "<html><head></head><body><p>Hello,</p>This is my first test email sent from esp32 using Brevo.</p></body></html>"
}

response = urequests.post(url, data=ujson.dumps(data), headers=headers)


if response.status_code == 201:
    print("Email sent successfully!")
else:
    print("Failed to send email. Response:", response.text)
response.close()




